<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<favorites xmlns:launcher="http://schemas.android.com/apk/res/com.huawei.android.launcher">
    <favorite
        launcher:op="clear" />

    <!--左起第 0 屏-->
    <!--AppGallery-->
    <favorite
        launcher:packageName="com.huawei.appmarket"
        launcher:className="com.huawei.appmarket.MainActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="0"
        launcher:y="2" />
    <!--Themes-->
    <favorite
        launcher:packageName="com.huawei.android.thememanager"
        launcher:className="com.huawei.android.thememanager.PageActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="1"
        launcher:y="2" />
    <!--Music-->
    <favorite
        launcher:packageName="com.huawei.music"
        launcher:className="com.android.mediacenter.PageActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="2"
        launcher:y="2" />
    <!--Video-->
    <favorite
        launcher:packageName="com.huawei.himovie.overseas"
        launcher:className="com.huawei.himovie.ui.login.SplashScreenActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="3"
        launcher:y="2" />
    <!--GameCenter-->
    <favorite
        launcher:packageName="com.huawei.gamebox"
        launcher:className="com.huawei.gamebox.GameBoxActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="0"
        launcher:y="3" />
    <!--Books-->
    <favorite
        launcher:packageName="com.huawei.hwread.dz"
        launcher:className="com.huawei.reader.launch.impl.splash.SplashScreenActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="1"
        launcher:y="3" />
    
     <favorite
        launcher:packageName="com.huawei.calendar"
        launcher:className="com.android.calendar.AllInOneActivity" 
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="2"
        launcher:y="3" />
    <!--My HUAWEI-->
    <favorite
        launcher:packageName="com.huawei.phoneservice"
        launcher:className="com.huawei.phoneservice.LaunchActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="3"
        launcher:y="3" />
    <!--Health-->
    <favorite
        launcher:packageName="com.huawei.health"
        launcher:className="com.huawei.health.MainActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="0"
        launcher:y="4" />
    <!--Files-->
    <favorite
        launcher:packageName="com.huawei.filemanager"
        launcher:className="com.huawei.hidisk.filemanager.FileManager"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="1"
        launcher:y="4" />
    <!--Settings-->
    <favorite
        launcher:packageName="com.android.settings"
        launcher:className="com.android.settings.HWSettings"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="2"
        launcher:y="4" />
    <!--Gallery-->
    <favorite
        launcher:packageName="com.huawei.photos"
        launcher:className="com.huawei.gallery.app.GalleryMain"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="3"
        launcher:y="4" />
    <!--Top Apps-->
    <folder
        launcher:title="@string/folder_top_apps"
        launcher:appid="0"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="0"
        launcher:y="5">
    </folder>
    <!--Recommended-->
    <folder
        launcher:title="@string/cust_folder_name_recommended"
        launcher:appid="16"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="1"
        launcher:y="5">
    </folder>
    <!--Member Center-->
    <favorite
        launcher:packageName="com.huawei.mycenter"
        launcher:className="com.huawei.mycenter.module.main.view.MainActivity"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="2"
        launcher:y="5" />
    <!--Browser-->
    <favorite
        launcher:packageName="com.huawei.browser"
        launcher:className="com.huawei.browser.Main2"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="3"
        launcher:y="5" />

    <!--左起第 1 屏-->
    <!--Huawei Apps-->
    <cardfolder
        launcher:title="@string/cust_folder_name_hwapp"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="2"
        launcher:y="0"
        launcher:spanX="2"
        launcher:spanY="2">
        <!--Calendar-->
        <!--Email-->
        <favorite
            launcher:packageName="com.huawei.email"
            launcher:className="com.android.email.activity.Welcome" />
        <!--Notepad-->
        <favorite
            launcher:packageName="com.huawei.notepad"
            launcher:className="com.example.android.notepad.NotePadActivity" />
        <!--Optimizer-->
        <favorite
            launcher:packageName="com.huawei.systemmanager"
            launcher:className="com.huawei.systemmanager.mainscreen.MainScreenActivity" />
        <!--Docs-->
        <favorite
            launcher:packageName="com.huawei.docs"
            launcher:className="cn.wps.moffice.documentmanager.PreStartActivity" />
        <!--Tips-->
        <favorite
            launcher:packageName="com.huawei.tipsove"
            launcher:className="com.huawei.android.tips.launch.ui.SplashActivity" />
        <!--Petal Clip-->
        <favorite
            launcher:packageName="com.huawei.videoeditor"
            launcher:className="com.huawei.hms.ml.mediacreative.LauncherActivity" />
        <!--Phone Clone-->
        <favorite
            launcher:packageName="com.hicloud.android.clone"
            launcher:className="com.huawei.android.clone.activity.sender.ChooseReceiveSendActivity" />
        <!--Cloud-->
        <favorite
            launcher:packageName="com.huawei.hidisk"
            launcher:className="com.huawei.android.hicloud.ui.activity.NewHiSyncSettingAliasActivity" />
    </cardfolder>
    <!--Clock-->
    <favorite
        launcher:packageName="com.huawei.deskclock"
        launcher:className="com.android.deskclock.AlarmsMainActivity"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="0"
        launcher:y="1" />
    <!--Wallet-->
    <favorite
        launcher:packageName="com.huawei.wallet"
        launcher:className="com.huawei.wallet.view.MainActivity"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="1"
        launcher:y="1" />
    <!--Petal Maps-->
    <favorite
        launcher:packageName="com.huawei.maps.app"
        launcher:className="com.huawei.maps.app.petalmaps.splash.SplashActivity"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="0"
        launcher:y="2" />
    <!--Tools-->
    <folder
        launcher:title="@string/folder_tools"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="1"
        launcher:y="2">
        <!--Contacts-->
        <favorite
            launcher:packageName="com.huawei.contacts"
            launcher:className="com.android.contacts.activities.PeopleActivity" />
        <!--Weather-->
        <favorite
            launcher:packageName="com.huawei.android.totemweather"
            launcher:className="com.huawei.android.totemweather.WeatherHome" />
        <!--Calculator-->
        <favorite
            launcher:packageName="com.huawei.calculator"
            launcher:className="com.huawei.calculator.Calculator" />
        <!--Recorder-->
        <favorite
            launcher:packageName="com.huawei.soundrecorder"
            launcher:className="com.android.soundrecorder.RecordListActivity" />
        <!--FM Radio 收音机-->
        <favorite
            launcher:packageName="com.huawei.android.FMRadio"
            launcher:className="com.huawei.android.FMRadio.FMRadioMainActivity" />
        <!--AR Measure-->
        <favorite
            launcher:packageName="com.huawei.ar.measure"
            launcher:className="com.huawei.ar.measure.LauncherActivity" />
        <!--Find Device-->
        <favorite
            launcher:packageName="com.huawei.android.findmyphone"
            launcher:className="com.huawei.android.findmyphone.ui.findphone.FindMyPhoneActivity" />
        <!--Mirror-->
        <favorite
            launcher:packageName="com.huawei.mirror"
            launcher:className="com.huawei.mirror.Mirror" />
        <!--Smart Remote-->
        <favorite
            launcher:packageName="com.huawei.android.remotecontroller"
            launcher:className="com.huawei.android.remotecontroller.app.RemoteControllerActivity" />
        <!--Compass-->
        <favorite
            launcher:packageName="com.huawei.compass"
            launcher:className="com.huawei.compass.MainActivity" />
        <!--SIM Toolkit-->
        <favorite
            launcher:packageName="com.android.stk"
            launcher:className="com.android.stk.StkLauncherActivity" />
        <!--SIM Toolkit-->
        <favorite
            launcher:packageName="com.android.stk"
            launcher:className="com.android.stk.StkLauncherActivity2" />
    </folder>
    <!--Business-->
    <folder
        launcher:title="@string/cust_folder_name_business_apps"
        launcher:appid="11"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="2"
        launcher:y="2">
    </folder>
    <!--Entertainment-->
    <folder
        launcher:title="@string/cust_folder_name_entertainment_apps"
        launcher:appid="12"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="3"
        launcher:y="2">
    </folder>
    <!--Social-->
    <folder
        launcher:title="@string/cust_folder_name_social_apps"
        launcher:appid="13"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="0"
        launcher:y="3">
    </folder>
    <!--Lifestyle-->
    <folder
        launcher:title="@string/cust_folder_name_lifestyle_apps"
        launcher:appid="14"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="1"
        launcher:y="3">
    </folder>
    <!--Games-->
    <folder
        launcher:title="@string/folder_games"
        launcher:appid="2"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="2"
        launcher:y="3">
    </folder>
    <!--Shortcuts-->
    <favorite
        launcher:packageName="com.huawei.android.launcher"
        launcher:className="com.huawei.launcher.cust.LauncherShortcutActivity"
        launcher:container="-100"
        launcher:screen="1"
        launcher:shortcutid="HuaweiDevice"
        launcher:shortcut="true"
        launcher:op="add" />
    <!--桌面小工具-->
     <appwidget
        launcher:packageName="com.huawei.android.totemweather"
        launcher:className="com.huawei.android.totemweather.widget.newwidget.NewWidgetWeatherProvider"
        launcher:container="-100"
        launcher:screen="0"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.huawei.hwsearch"
        launcher:className="com.huawei.hwsearch.base.view.widget.SparkleWidgetProvider2"
        launcher:container="-100"
        launcher:screen="1"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="2"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.huawei.hwsearch"
        launcher:className="com.huawei.hwsearch.base.view.widget.SparkleWidgetProvider"
        launcher:container="-102"
        launcher:screen="0"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.huawei.android.mewidget"
        launcher:className="com.huawei.android.mewidget.MeWidgetProviderBig"
        launcher:container="-102"
        launcher:screen="1"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="3" />
    <appwidget
        launcher:packageName="com.huawei.android.totemweather"
        launcher:className="com.huawei.android.totemweather.widget.huaweiwidget.HuaweiWidgetWeatherProvider"
        launcher:container="-102"
        launcher:screen="2"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.huawei.android.totemweather"
        launcher:className="com.huawei.android.totemweather.widget.aodwidget.AodWidgetWeatherProvider"
        launcher:container="-102"
        launcher:screen="3"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="2" />
    <appwidget
        launcher:packageName="com.huawei.android.totemweather"
        launcher:className="com.huawei.android.totemweather.widget.honorwidget.HonorWidgetWeatherProvider"
        launcher:container="-102"
        launcher:screen="4"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="2" />
    <appwidget
        launcher:packageName="com.huawei.android.totemweather"
        launcher:className="com.huawei.android.totemweather.widget.mulanwidget.MulanWidgetWeatherProvider"
        launcher:container="-102"
        launcher:screen="5"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="2" />
    <appwidget
        launcher:packageName="com.android.systemui"
        launcher:className="com.android.systemui.flashlight.FlashlightShortcutActivity"
        launcher:container="-102"
        launcher:screen="6"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="1"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.android.mediacenter"
        launcher:className="com.android.mediacenter.MediaAppWidgetProvider"
        launcher:container="-102"
        launcher:screen="7"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.android.mediacenter"
        launcher:className="com.android.mediacenter.localmusic.MediaAppWidgetProvider"
        launcher:container="-102"
        launcher:screen="7"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="2"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.huawei.android.calendarwidget"
        launcher:className="com.huawei.android.calendarwidget.CalendarAppWidgetProvider"
        launcher:container="-102"
        launcher:screen="8"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="4" />
    <appwidget
        launcher:packageName="com.huawei.contacts"
        launcher:className="com.android.contacts.gridwidget.ContactWidgetProvider"
        launcher:container="-102"
        launcher:screen="9"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="4" />
    <appwidget
        launcher:packageName="com.huawei.android.myemail"
        launcher:className="com.huawei.android.myemail.EmailWidget"
        launcher:container="-102"
        launcher:screen="10"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="2"
        launcher:spanY="4" />
    <appwidget
        launcher:packageName="com.huawei.health"
        launcher:className="com.huawei.health.ui.widget.HealthSportWidget"
        launcher:container="-102"
        launcher:screen="11"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.huawei.browser"
        launcher:className="com.huawei.browser.SearchWidgetProvider"
        launcher:container="-102"
        launcher:screen="12"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.huawei.KoBackup"
        launcher:className="huawei.android.widget.WidgetProvider"
        launcher:container="-102"
        launcher:screen="13"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="1" />
    <appwidget
        launcher:packageName="com.huawei.android.FMRadio"
        launcher:className="com.huawei.android.FMRadio.FMRadioWidget"
        launcher:container="-102"
        launcher:screen="14"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="4"
        launcher:spanY="4" />
    <appwidget
        launcher:packageName="com.android.systemui"
        launcher:className="com.huawei.keyguard.onekeylock.shortcut.ApproachActivity"
        launcher:container="-102"
        launcher:screen="23"
        launcher:x="0"
        launcher:y="0"
        launcher:spanX="1"
        launcher:spanY="1" />

    <!--DOCK区-->
    <!--Phone-->
    <favorite
        launcher:packageName="com.huawei.contacts"
        launcher:className="com.android.contacts.activities.DialtactsActivity"
        launcher:container="-101"
        launcher:screen="0"
        launcher:x="0"
        launcher:y="0" />
    <!--Messaging-->
    <favorite
        launcher:packageName="com.android.mms"
        launcher:className="com.android.mms.ui.ConversationList"
        launcher:container="-101"
        launcher:screen="1"
        launcher:x="1"
        launcher:y="0" />
    <!--Petal Search-->
    <favorite
        launcher:packageName="com.huawei.hwsearch"
        launcher:className="com.huawei.hwsearch.splash.SplashActivity"
        launcher:container="-101"
        launcher:screen="2"
        launcher:x="2"
        launcher:y="0" />
    <!--Camera-->
    <favorite
        launcher:packageName="com.huawei.camera"
        launcher:className="com.huawei.camera"
        launcher:container="-101"
        launcher:screen="3"
        launcher:x="3"
        launcher:y="0" />
</favorites>
